Update a message template.
curl --request PUT \
--url https://api.gleap.io/v3/message-templates/{messageTemplateId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'project: <project>' \
--data '
{
"title": "<string>",
"content": "<unknown>",
"lexorank": "<string>",
"isPublic": true,
"users": [
"<string>"
],
"attachments": [
"<unknown>"
],
"actions": [
{
"type": "<string>",
"data": "<unknown>"
}
]
}
'import requests
url = "https://api.gleap.io/v3/message-templates/{messageTemplateId}"
payload = {
"title": "<string>",
"content": "<unknown>",
"lexorank": "<string>",
"isPublic": True,
"users": ["<string>"],
"attachments": ["<unknown>"],
"actions": [
{
"type": "<string>",
"data": "<unknown>"
}
]
}
headers = {
"project": "<project>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
project: '<project>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: '<string>',
content: '<unknown>',
lexorank: '<string>',
isPublic: true,
users: ['<string>'],
attachments: ['<unknown>'],
actions: [{type: '<string>', data: '<unknown>'}]
})
};
fetch('https://api.gleap.io/v3/message-templates/{messageTemplateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updatedAt": "<string>",
"createdAt": "<string>",
"actions": [
"<unknown>"
],
"attachments": [
"<unknown>"
],
"isPublic": true,
"users": [
"<string>"
],
"lexorank": "<string>",
"searchContent": "<string>",
"project": {
"isValid": {},
"createFromHexString": {},
"createFromTime": {},
"generate": {},
"cacheHexString": "<unknown>"
},
"content": "<unknown>",
"title": "<string>"
}Message templates
Update a message template.
Update a message template.
PUT
/
message-templates
/
{messageTemplateId}
Update a message template.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Response
200 - application/json
Ok
Generic types for Document:
- T - the type of _id
- TQueryHelpers - Object with any helpers that should be mixed into the Query type
- DocType - the type of the actual Document created
⌘I